Skip to main content
GET
ListCampaignAnnotations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

Query Parameters

pageSize
integer<int64>

The maximum number of annotations to return. The service may return fewer than this value. If unspecified, at most 50 annotations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListAnnotations call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListAnnotations must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are annotation_id, start_time, end_time, created_date, modified_date, run_id, name, description, state, created_by_user_id, created_by_rule_condition_version_id, annotation_type, tag_name, report_id, asset_id, asset_name, pending, assignee, and metadata. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved annotations. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date, modified_date, start_time, and end_time. If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

Response

A successful response.

annotations
object[]
nextPageToken
string